# 插件为NoCheatPlus ,这个配置是NCP生成的.
# 这个配置文件config.yml 由Beta汉化在游戏内语言.
# NoCheatPlus version：3.16.0-RC-sMD5NET-b1134 
# 此配置文件只适用于 3.16.0 版本.
savebackconfig: true
configversion:
  notify: true
  notifymaxpaths: 5
  created: 1104
  saved: 1104
logging:
  active: true
  maxqueuesize: 5000
  extended:
    status: false
    commands:
      actions: false
    allviolations:
      debug: true
      debugonly: false
      backend:
        trace: false
        notify: false
  backend:
    console:
      active: true
      asynchronous: true
    file:
      active: true
      prefix: '&c反作弊: &f'
      filename: nocheatplus.log
    ingamechat:
      active: true
      prefix: '&c反作弊: &f'
      subscriptions: false
data:
  expiration:
    active: false
    duration: 60
    history: false
  consistencychecks:
    active: true
    interval: 10
    maxtime: 2
    suppresswarnings: false
protection:
  plugins:
    hide:
      active: true
      nopermission:
        message: §7[§b系统§7]未知指令，输入：“Help”来获取帮助.
        commands:
        - plugins
        - version
        - icanhasbukkit
        - whitelist
      unknowncommand:
        message: 未知指令，输入：“Help”来获取帮助.
        commands: []
  commands:
    consoleonly:
      active: false
      message: §7[§b系统§7]未知指令，输入：“Help”来获取帮助.
      commands:
      - null: null
  clients:
    motd:
      active: true
      allowall: false
checks:
  blockbreak:
    direction:
      active: true
      actions: cancel vl>10 log:bdirection:0:3:if cancel
    fastbreak:
      active: true
      strict: true
      delay: 100
      intervalsurvival: 100
      grace: 2000
      actions: cancel vl>0 log:fastbreak:3:5:cif cancel
    frequency:
      active: true
      intervalcreative: 95
      intervalsurvival: 45
      shortterm:
        ticks: 5
        limit: 7
      actions: cancel vl>5 log:bbfrequency:3:5:if cancel vl>60 log:bbfrequency:0:5:cif cancel cmd:kickfrequency
    noswing:
      active: true
      actions: cancel vl>10 log:noswing:0:5:if cancel
    reach:
      active: true
      actions: cancel vl>5 log:breach:0:2:if cancel
    wrongblock:
      active: true
      level: 10
      actions: cancel vl>10 log:bwrong:0:5:if cancel vl>30 log:bwrong:0:5:cif cancel cmd:kickwb
  blockinteract:
    direction:
      active: true
      actions: cancel vl>10 log:bdirection:0:3:if cancel
    reach:
      active: true
      actions: cancel vl>5 log:breach:0:2:if cancel
    speed:
      active: true
      interval: 2000
      limit: 60
      actions: cancel vl>200 log:bspeed:0:2:if cancel vl>1000 cancel log:bspeed:0:2:icf cmd:kickbspeed
    visible:
      active: true
      actions: cancel vl>100 log:bvisible:0:10:if cancel
  blockplace:
    against:
      active: true
      actions: cancel
    autosign:
      active: true
      skipempty: false
      actions: cancel vl>10 log:bautosign:0:3:if cancel
    direction:
      active: true
      actions: cancel vl>10 log:bdirection:0:3:if cancel
    fastplace:
      active: true
      limit: 22
      shortterm:
        ticks: 10
        limit: 6
      actions: cancel vl>100 log:fastplace:3:5:cif cancel
    reach:
      active: true
      actions: cancel vl>5 log:breach:0:2:if cancel
    noswing:
      active: true
      exceptions:
      - WATER_LILY
      - FLINT_AND_STEEL
      actions: cancel vl>10 log:noswing:0:5:if cancel
    speed:
      active: true
      interval: 45
      actions: cancel vl>150 log:bpspeed:3:5:if cancel vl>1000 log:bpspeed:3:5:cif cancel
    preventmisc:
      boatsanywhere: false
  chat:
    captcha:
      active: false
      skip:
        commands: false
      characters: abcdefghjkmnpqrtuvwxyzABCDEFGHJKMNPQRTUVWXYZ2346789
      length: 6
      question: '&b请输入 ''&7[captcha]'' &b才能发送信息/指令.'
      success: '&b好的，你现在可以发送信息了.'
      tries: 3
      actions: cancel cmd:kickcaptcha vl>4 log:captcha:2:5:cf cancel cmd:kickcaptcha
    color:
      active: true
      actions: log:color:0:1:if cancel
    commands:
      active: false
      exclusions: []
      handleaschat:
      - me
      level: 10
      shortterm:
        ticks: 18
        level: 3
      actions: log:commands:0:5:cf cancel cmd:kickcommands vl>20 log:commands:0:5:cf cancel cmd:tempkick1
    text:
      active: true
      allowvlreset: true
      frequency:
        normal:
          minimum: 0.0
          factor: 0.9
          weight: 6
          level: 160
          actions: cancel cmd:tellchatnormal vl>7 log:chatnormal:0:5:f cancel cmd:tellchatnormal vl>20 log:chatnormal:0:5:cf cancel cmd:kickchatnormal vl>40 log:chatnormal:0:5:cf cancel cmd:kickchat5
        shortterm:
          minimum: 2.0
          factor: 0.7
          weight: 3.0
          level: 20.0
          actions: log:chatfast:0:5:cf cancel cmd:kickchatfast vl>20 log:chatfast:0:5:cf cancel cmd:kickchat1 vl>40 log:chatfast:0:5:cf cancel cmd:kickchat5
      message:
        lettercount: 1.0
        partition: 1.0
        uppercase: 1.0
        afterjoin: 1.5
        nomoving: 1.5
        repeatviolation: 1.0
        repeatglobal: 1.0
        repeatself: 1.5
        words:
          lengthav: 1.0
          lengthmsg: 1.0
          noletter: 0.0
      global:
        active: true
        weight: 1.0
        words:
          active: false
        prefixes:
          active: false
        similarity:
          active: false
      player:
        active: true
        words:
          active: false
        prefixes:
          active: false
        similarity:
          active: false
    warning:
      active: true
      level: 67
      message: |2-

        &7>>> &e请不要刷屏，否则可能会被强制退出服务器!
      timeout: 10
    relog:
      active: true
      timeout: 5000
      warning:
        message: '&b你登陆速度非常快!如果你一直这么做，你可能会被封禁.'
        number: 1
        timeout: 60000
      kickmessage: 登入过快,请控制登入的速度.
      actions: log:relog:0:10:cf cancel vl>20 log:relog:0:10:cf cancel cmd:tempkick5
    logins:
      active: true
      startupdelay: 600
      perworldcount: false
      seconds: 10
      limit: 10
      kickmessage: 太多的人同时登录，请稍后再进入服务器.
  combined:
    bedleave:
      active: true
      actions: cancel log:bedleave:0:5:if cmd:kickbedleave
    enderpearl:
      active: true
      preventclickblock: true
    improbable:
      active: true
      level: 300
      actions: cancel log:improbable:2:8:if
    invulnerable:
      active: true
      triggers:
        always: false
        falldistance: true
      initialticks:
        join: -1
      ignore:
      - FALL
      modifiers:
        all: 0
    munchhausen:
      active: false
      actions: cancel vl>100 cancel log:munchhausen:0:60:if
    yawrate:
      rate: 380
      penalty:
        factor: 1.0
        minimum: 250
        maximum: 2000
      improbable: true
  fight:
    canceldead: true
    toolchangepenalty: 500
    pvp:
      knockbackvelocity: default
    yawrate:
      active: true
    angle:
      active: true
      threshold: 50
      actions: cancel vl>100 log:angle:3:5:f cancel vl>250 log:angle:0:5:cif cancel
    critical:
      active: true
      cancel:
        cancel: 100
        dividedamage: 1.5
      falldistance: 0.06251
      actions: cancel vl>50 log:critical:0:5:cif cancel
    direction:
      active: true
      strict: false
      penalty: 500
      actions: cancel vl>5 log:fdirection:3:5:f cancel vl>20 log:fdirection:0:5:if cancel vl>50 log:fdirection:0:5:cif cancel
    fastheal:
      active: true
      interval: 4000
      buffer: 1000
      actions: cancel vl>10 cancel log:fastheal:0:10:i vl>30 cancel log:fastheal:0:10:if
    godmode:
      active: true
      minage: 1100
      maxage: 5000
      actions: log:godmode:2:5:if cancel vl>60 log:godmode:2:5:icf cancel
    noswing:
      active: true
      actions: cancel vl>10 log:noswing:0:5:if cancel
    reach:
      active: true
      survivaldistance: 4.4
      penalty: 500
      reduce: true
      reducedistance: 0.9
      reducestep: 0.15
      actions: cancel vl>10 log:freach:2:5:if cancel
    selfhit:
      active: true
      actions: log:fselfhit:0:5:if cancel vl>10 log:fselfhit:0:5:icf cancel cmd:kickselfhit
    speed:
      active: true
      limit: 15
      actions: cancel vl>50 log:fspeed:0:5:if cancel
      shortterm:
        ticks: 7
        limit: 6
  inventory:
    drop:
      active: true
      limit: 100
      timeframe: 20
      actions: log:drop:0:1:cif cancel cmd:dropkick:0:1
    fastclick:
      active: true
      sparecreative: true
      tweaks1_5: true
      limit:
        shortterm: 4
        normal: 15
      actions: cancel vl>50 log:fastclick:3:5:cif cancel
    instantbow:
      active: true
      strict: true
      delay: 130
      improbable:
        feedonly: false
        weight: 0.6
      actions: cancel vl>15 log:instantbow:2:5:if cancel
    instanteat:
      active: true
      actions: log:instanteat:2:5:if cancel
    fastconsume:
      active: true
      duration: 0.7
      whitelist: false
      items: []
      actions: log:fastconsume:2:5:if cancel
    gutenberg:
      active: true
      actions: cancel log:gutenberg:0:10:icf cmd:kickinvaliddata
    items:
      active: true
    open:
      active: true
      close: true
      cancelother: true
    hotfix:
      duplication:
        fallingblockendportal: true
  moving:
    creativefly:
      active: true
      ignoreallowflight: true
      ignorecreative: false
      model:
        creative:
          horizontal:
            speed: 100
          vertical:
            ascend:
              speed: 100
            maxheight: 128
        spectator:
          horizontal:
            speed: 450
          vertical:
            ascend:
              speed: 170
            maxheight: 128
          gravity: false
          ground: false
        levitation:
          horizontal:
            speed: 50
          vertical:
            ascend:
              speed: 10
            maxheight: 128
            gravity: false
          modifiers: false
          gravity: false
          ground: false
        elytra:
          horizontal:
            speed: 600
            modsprint: 1.0
          vertical:
            ascend:
              speed: 0
            maxheight: 128
          modifiers: false
      actions: log:flyfile:3:5:f cancel vl>100 log:flyshort:0:5:i log:flyfile:0:5:f cancel vl>400 log:flylong:0:5:i log:flyfile:0:5:cf cancel
    morepackets:
      active: true
      seconds: 6
      epsideal: 20
      epsmax: 22
      burst:
        packets: 40
        directviolation: 60
        epmviolation: 180
      setbackage: 40
      actions: cancel vl>10 log:morepackets:0:2:if cancel vl>100 log:morepackets:0:2:if cancel cmd:kickpackets
    nofall:
      active: true
      dealdamage: true
      skipallowflight: true
      resetonviolation: false
      resetonteleport: false
      resetonvehicle: true
      anticriticals: true
      actions: log:nofall:0:5:if cancel vl>30 log:nofall:0:5:icf cancel
    passable:
      active: true
      actions: cancel vl>10 log:passable:0:5:if cancel vl>50 log:passable:0:5:icf cancel
      untracked:
        teleport:
          active: true
        command:
          active: true
          tryteleport: true
          prefixes:
          - sethome
          - home set
          - setwarp
          - warp set
          - setback
          - set back
          - back set
    survivalfly:
      active: true
      extended:
        vertical-accounting: true
      stepheight: default
      hbufmax: 1.2
      setbackpolicy:
        falldamage: true
        voidtovoid: true
      actions: log:flyfile:3:10:f cancel vl>100 log:flyshort:0:10:i log:flyfile:0:10:f cancel vl>400 log:flylong:0:5:i log:flyfile:0:5:cf cancel vl>1500 log:flylong:0:5:i log:flyfile:0:5:cf cancel cmd:kickfly
      hover:
        active: true
        step: 6
        ticks: 90
        loginticks: 70
        falldamage: true
        sfviolation: 550
    velocity:
      activationcounter: 90
      activationticks: 140
      strictinvalidation: true
    splitmoves: default
    ignorestance: default
    tempkickillegal: true
    loadchunks:
      join: true
      move: true
      teleport: true
      worldchange: true
    sprintinggrace: 3.0
    assumesprint: true
    speedgrace: 5.0
    enforcelocation: default
    setback:
      method: default
    vehicle:
      preventdestroyown: true
      enforcelocation: default
      schedulesetbacks: default
      morepackets:
        active: true
        actions: cancel vl>10 log:morepackets:0:2:if cancel
      envelope:
        active: default
        actions: cancel vl>100 cancel log:vehicleenvelope:0:15:icf
    message:
      illegalplayermove: Illegal move.
      illegalvehiclemove: Illegal vehicle move.
  net:
    attackfrequency:
      active: true
      limitforseconds:
        half: 10
        one: 15
        two: 30
        four: 60
        eight: 100
      actions: cancel vl>30 cancel log:attackfrequency:0:5:if vl>160 cancel log:attackfrequency:0:0:cif cmd:kickattackfrequency
    flyingfrequency:
      active: true
      seconds: 5
      packetspersecond: 60
      actions: cancel
      reduceredundant:
        active: true
        seconds: 3
        actions: cancel
    keepalivefrequency:
      active: true
      actions: cancel vl>10 cancel log:keepalive:0:10:if vl>40 cancel log:keepalive:0:10:icf vl>100 cancel log:keepalive:0:10:icf cmd:kickalive
    packetfrequency:
      active: default
      limitpersecond: 200
      seconds: 4
      actions: cancel cmd:kickpacketfrequency
    sounddistance:
      active: true
      maxdistance: 320
    superseded:
      flying:
        cancelwaiting: true
strings:
  angle: '[player] 被检测到 [check]: 试图同时击中多个实体. VL [violations].'
  attackfrequency: '[player] 被检测到 [check]: 攻击频率太高. ([packets]/[limit], [tags]). VL [violations].'
  ban: 封禁玩家账号 [player]
  ban-ip: 封禁玩家IP地址 [ip]
  bautosign: '[player] 被检测到 [check]: 类似Wurst自动登录的修改客户端进行登录. [tags]. VL [violations].'
  bbfrequency: '[player] 被检测到 [check]: 在同一时间和区域内破坏方块过多. VL [violations].'
  bdirection: '[player] 被检测到 [check]: 尝试与他们视线之外的方块进行交互. VL [violations].'
  bedleave: '[player] 被检测到 [check]: 发送了离开床的信息到服务器（这个玩家并不在床上）. VL [violations].'
  bpspeed: '[player] 被检测到 [check]: 试着过快地投掷物品. VL [violations].'
  breach: '[player] 被检测到 [check]: 在超过了方块交互距离的情况下交互了方块 (超出距离:[reachdistance]). VL [violations].'
  bspeed: '[player] 被检测到 [check]: 与方块交互过快. VL [violations].'
  bvisible: '[player] 被检测到 [check]: 尝试破坏视线之外的物体. VL [violations].'
  bwrong: '[player] 被检测到 [check]: 破坏了他没有点击过的方块. VL [violations].'
  captcha: '[player] 被检测到 反复输入验证码错误. VL [violations].'
  chatnormal: '[player] 被检测到 [check]: 发送骚扰聊天信息. VL [violations].'
  color: '[player] 被检测到 [check]: 发送彩色字符聊天信息. VL [violations].'
  commands: '[player] 被检测到 [check]: 频繁发出太多的命令. VL [violations].'
  combspeed: '[player] 被检测到 [check]: 以极高的速度执行不同的动作. VL [violations].'
  critical: '[player] 被检测到 [check]: 尝试对某实体(动物，怪物等)进行重击, 但他没有冲刺和跳跃. [tags]. VL [violations].'
  drop: '[player] 被检测到 [check]: 尝试丢弃超过允许数量的物品. VL [violations].'
  dropkick: 踢出了玩家 [player] 因为丢弃物品过快.
  fastbreak: '[player] 被检测到 [check]: 尝试以极快的速度破坏方块(方块ID: [blocktype]). VL [violations].'
  fastclick: '[player] 被检测到 [check]: 试图在背包中快速移动物品. VL [violations].'
  fastconsume: '[player] 被检测到 [check]: 吃食物： [food] [tags] 过快. VL [violations].'
  fastheal: '[player] 被检测到 [check]: 恢复生命值比平常快(生命值： [health]). VL [violations].'
  fastplace: '[player] 被检测到 [check]: 短时间试图放置非常多的方块. VL [violations].'
  fdirection: '[player] 被检测到 [check]: 试图攻击一个视线之外的实体. VL [violations].'
  flyshort: '[player] 被检测到 [check]: 试图以一种不允许的方式移动. VL [violations].'
  flylong: '[player] 被检测到 [check]: 试图从 [locationfrom] 瞬移到 [locationto],间隔 d=[distance] 个方块的距离. ([tags]). VL [violations].'
  flyfile: '[player] 被检测到 [check]: 试图瞬移: [locationfrom] 到 [locationto],间隔 d=[distance] 个方块. ([tags]). VL [violations].'
  freach: '[player] 被检测到 [check]: 试图攻击无法触及的实体(那个实体非常离他远). VL [violations].'
  fselfhit: '[player] 被检测到 [check]: 尝试攻击自己(这个外挂最狠，自己都打). VL [violations].'
  fspeed: '[player] 被检测到 [check]: 试图以过高的频率攻击. VL [violations].'
  gutenberg: '[player] 被检测到 [check]: 创建了一本书，页数超出了限制. VL [violations].'
  godmode: '[player] 被检测到 [check]: 试图避免装备耐久损坏或消耗. (health [health]). VL [violations].'
  improbable: '[player] 被检测到 [check]: 试图进行不可能的操作. VL [violations].'
  instantbow: '[player] 被检测到 [check]: 弓箭发射速度太快. VL [violations].'
  instanteat: '[player] 被检测到 [check]: 吃食物 (名称: [food]) 的速度过快. VL [violations].'
  keepalive: '[player] 被检测到 [check]: 尝试发送垃圾数据包. VL [violations].'
  kick: 踢出 [player]
  kickalive: 踢出了 [player] 原因：发送了太多无用的心跳包.
  kickattackfrequency: 踢出了 [player] 原因：进行了不可能的快速点击.
  kickbedleave: 踢出了 [player] 原因：找你的床去!
  kickbspeed: 踢出了玩家 [player] 方块交互的太快!
  kickcaptcha: 踢出了玩家 [player] 验证码打错了!
  kickchat1: 临时踢出了玩家 [player] 1 次 发垃圾讯息!
  kickchat5: 临时踢出了玩家 [player] 5 次 发垃圾讯息!
  kickchatfast: 踢出了玩家 [player] 原因：刷屏!
  kickchatnormal: 踢出了玩家 [player] 聊天速度过快.
  kickcommands: 临时踢出了玩家 [player] 犯错 1 次 不要向服务器发送垃圾指令!
  kickfly: 踢出了玩家 [player] 因为作弊飞行 (或相关).
  kickfrequency: 踢出了玩家 [player] 某项操作的太快了!
  kickgod: 踢出了玩家 [player] 原因：想开上帝模式?
  kickinvaliddata: 踢出玩家 [player] 无效数据.
  kickpacketfrequency: 踢出玩家 [player] 尝试发送太多的垃圾数据包.
  kickpackets: 踢出玩家 [player] 再次尝试发送灰常多的的数据包 (太极端了!)
  kickselfhit: 踢出玩家 [player] 你想打你自己?(太狠了，自己都打).
  kickwb: 踢出了玩家 [player] 方块破坏不同步!
  knockback: '[player] 被检测到 [check]: 试图反击，但他没有冲刺. VL [violations].'
  morepackets: '[player] 被检测到 [check]: 尝试太多的动作(移动频率高) ([packets] [tags]). VL [violations].'
  msgtempdenylogin: 你暂时被拒绝加入这个服务器.
  munchhausen: '[player] 被检测到 [check]: 试图把一个无法破坏的东西给弄掉. VL [violations].'
  nofall: '[player] 被检测到 [check]: 试图改变坠落的伤害为0 ([tags]). VL [violations].'
  chatfast: '[player] 被检测到 [check]: 尝试发送垃圾讯息 (IP地址: [ip]). VL [violations].'
  noswing: '[player] 被检测到 [check]: 没有手臂(你的手臂哪里去了？快去给我找回来！). VL [violations].'
  passable: '[player] 被检测到 [check]: 瞬移到了方块 (方块ID：[blocktype]) 从 [locationfrom] 到 [locationto] 距离 [distance] 个方块 . VL [violations].'
  relog: '[player] 被检测到 [check]: 重复登录太快. VL [violations].'
  tellchatnormal: '警告！玩家： [player] &bNoCheatPlus: &7不要发送太多信息，冷静点...'
  tempkick1: 临时踢出了玩家 [player] 1 次犯错 请稍后重试!
  tempkick5: 临时踢出了玩家 [player] 5 次犯错 你在5分钟内暂时不能进入服务器!
  vehicleenvelope: '[player] 被检测到 [check]: 移动得太快了！ ([tags]). VL [violations].'
compatibility:
  managelisteners: false
  exemptions:
    wildcard:
      default:
        metadata:
          active: true
          keys:
          - nocheat.exempt
      npc:
        active: true
        bukkitnpc: true
        metadata:
          active: true
          keys:
          - NPC
    remove:
      join: true
      leave: true
  server:
    cbdedicated:
      enable: true
    cbreflect:
      enable: true
  blocks:
    allowinstantbreak: []
    overrideflags:
      snow: default
      piston_moving_piece: default+ign_passable+ground_height
    changetracker:
      active: true
      pistons: true
      maxageticks: 80
      perworld:
        maxentries: 1000
